<?php

require 'conectar.php';
require_once "Spyc.php";

$chave = trim($_POST['chave']);
$texto = urlencode(trim($_POST['texto']));

$rs_nfe = $conn->query("select * from notas where chave = ?",array($chave));
$row = $conn->fetch_assoc($rs_nfe);

$rs_licenca = $conn->query("select * from licencas where id_licencas = ?",array($row["id_licencas"]));
$licenca = $conn->fetch_assoc($rs_licenca);

if ($row["st_nota"] == 'F'):
	
	$TOKEN = $licenca["token"];
	//$TOKEN = "BgPvRToAEgqp6CFqfr5suEbDx4pdKB7L"; //ILS homologação
	
	if($texto!=""):
	
		$server = "http://producao.acrasnfe.acras.com.br/nfe2/emitir_cce?token=".$TOKEN."&ref=".$chave."&correcao=".trim($texto);

		// Inicia o processo de envio das informações usando o cURL.
		$ch = curl_init();
		curl_setopt($ch, CURLOPT_URL, $server);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
		
		$body = curl_exec($ch);
		$result = curl_getinfo($ch, CURLINFO_HTTP_CODE);
		
		$rs_nfe = $conn->query("SELECT * FROM notas WHERE chave  = ?",array($chave));
		$row1 = $conn->fetch_assoc($rs_nfe);
		
		$conn->update("notas",array("tx_correcao" => $row1['tx_correcao']."<br>>>>> CARTA DE CORRECAO em ".date('d/m/Y').' '.$result.' / '.$body)," chave = ?",array($chave));

		echo "STATUS: ".$result."<br>";
		echo "BODY: ".$body."<br><br>";

		curl_close($ch);
		
	endif;	
	
	$CURL_URL_ST = "http://producao.acrasnfe.acras.com.br/nfe2/consultar_cce?token=".$TOKEN."&ref=".$chave;
	
	$msg = "processando_autorizacao";
	while($msg=="processando_autorizacao"){
		$ch = curl_init();
		curl_setopt($ch, CURLOPT_URL, $CURL_URL_ST);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);

		$body = curl_exec($ch);
		$result = curl_getinfo($ch, CURLINFO_HTTP_CODE);
		$yml = Spyc::YAMLLoadString($body);
		$msg = $yml['status'];
		
		echo "Body : ".$body."<br>";
		echo "Result : " .$result."<br>";
		echo "Status : " .$msg."<br>";

		sleep(2);
	};

	if($msg=="autorizado"):
		
		$conn->query("SELECT * FROM notas WHERE chave = ?",array($chave));
		$row = $conn->fetch_assoc();
			
		$url='producao';
		$obs = $row['tx_correcao'] . "<br>>>> ".date("d/m/Y H:i:s")." - " . $yml["status"] . " - ".$url."
				<br><a href='http://".$url.".acrasnfe.acras.com.br".$yml['caminho_pdf']."' target='_blank'>Arquivo danfe</a>
				<br><a href='http://".$url.".acrasnfe.acras.com.br".$yml['caminho_xml']."' target='_blank'>Arquivo XML</a>";		
			
		$conn->update("notas",array("tx_correcao" => $obs),"chave = ?",array($chave));
		
	else:
	
		echo "FALHA AO TRANSMITIR <br><br>";
		echo "URL CC: ".$server."<br><br>";
		echo "URL ST: ".$CURL_URL_ST."<br><br>";
		
		var_dump($yml);
	
	endif;		

	$prg='../Notas_Finalizadas.php';
	echo '<input type="button" onClick="window.location.href = '.$prg.'" value="Voltar">';

	//echo "<br><br><script>window.location.href = '../Notas_Finalizadas.php'</script>";

else:

	echo "Esta nota não está Finalizada";
	
endif;

?>